summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdrian Perez de Castro2016-11-04 01:05:30 +0200
committerAdrian Perez de Castro2016-11-04 01:05:30 +0200
commitb15bc4fc4bec5dacb57dfca0bb9b48c7efc54416 (patch)
tree353115eaf9e3014551b0bf01fef22bce55179b3e
parent14bbda88ee2c5840c4179b59d000f5c945fcc1cf (diff)
downloadaur-b15bc4fc4bec5dacb57dfca0bb9b48c7efc54416.tar.gz
Bump version to 20160808
Also, install the manual pages, a license file, and verify the Git tag from which the software is built with PGP.
-rw-r--r--.SRCINFO11
-rw-r--r--PKGBUILD44
2 files changed, 44 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 923b64d8bdc..49842937756 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,22 +1,25 @@
pkgbase = dq
pkgdesc = Small recursive DNS server and tools with DNSCurve support
- pkgver = 20160523
+ pkgver = 20160808
pkgrel = 1
url = https://mojzis.com/software/dq/
install = dq.install
arch = x86_64
arch = i686
- license = Public Domain
+ license = custom:Public Domain
makedepends = gcc
makedepends = make
+ makedepends = git
+ makedepends = gnupg
depends = bash
- source = dq-20160523.tar.gz::https://mojzis.com/software/dq/dq-20160523.tar.bz2
+ source = dq::git+https://github.com/janmojzis/dq#tag=20160808
source = root-servers
source = dqcache@.service
source = default.conf
source = dqcache-sysusers.conf
source = dqcache.sh
- sha512sums = 66857b54ea42329df9b583d40de00d1d3886bbb9e0f73679d12365df4a66cbadf1db73fd2bbc2bba4e1eff6af495993ceff23e8fe4897a116ad9b19e80a4dcd0
+ validpgpkeys = AADF2EDF5529F1702772C8A2DEC4D246931EF49B
+ sha512sums = SKIP
sha512sums = 1444d75a559769044cabca730a11846f14c8db0096a33464fbd90b8c1f363525088b55801ea29554b46906792097ce8a84f1f5e763f018270600408cc9404614
sha512sums = 0c19ce8d81bf2bed090e232c338dce466e7ff172f8698f7ecbff59a999a534bc37d2a194d3749a3fea5d3b0c26ff283526861beefd4bef810caa022beff58c5d
sha512sums = 1d374937af59ea43237fcdc5089f940c9b97240a22ccc9ad6ea9ece450550dddb82c0bba4f579cf1a89baa184698fa2d7d4f1eee7ce88e070521b55a72c49ec4
diff --git a/PKGBUILD b/PKGBUILD
index 1ec5b143d0a..c5f97508a3b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,33 +1,63 @@
# Maintainer: Adrian Perez <aperez@igalia.com>
pkgname='dq'
-pkgver='20160523'
+pkgver='20160808'
pkgrel='1'
pkgdesc='Small recursive DNS server and tools with DNSCurve support'
url='https://mojzis.com/software/dq/'
arch=('x86_64' 'i686')
-license=('Public Domain')
+license=('custom:Public Domain')
depends=('bash')
-makedepends=('gcc' 'make')
+makedepends=('gcc' 'make' 'git' 'gnupg')
install='dq.install'
-source=("${pkgname}-${pkgver}.tar.gz::https://mojzis.com/software/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
+validpgpkeys=('AADF2EDF5529F1702772C8A2DEC4D246931EF49B')
+source=("${pkgname}::git+https://github.com/janmojzis/dq#tag=${pkgver}"
root-servers dqcache@.service default.conf dqcache-sysusers.conf dqcache.sh)
-sha512sums=('66857b54ea42329df9b583d40de00d1d3886bbb9e0f73679d12365df4a66cbadf1db73fd2bbc2bba4e1eff6af495993ceff23e8fe4897a116ad9b19e80a4dcd0'
+sha512sums=('SKIP'
'1444d75a559769044cabca730a11846f14c8db0096a33464fbd90b8c1f363525088b55801ea29554b46906792097ce8a84f1f5e763f018270600408cc9404614'
'0c19ce8d81bf2bed090e232c338dce466e7ff172f8698f7ecbff59a999a534bc37d2a194d3749a3fea5d3b0c26ff283526861beefd4bef810caa022beff58c5d'
'1d374937af59ea43237fcdc5089f940c9b97240a22ccc9ad6ea9ece450550dddb82c0bba4f579cf1a89baa184698fa2d7d4f1eee7ce88e070521b55a72c49ec4'
'ab7fcf301cfcbc1fa70ec6ff914c8b33b8c868e305990351d0dac5d28832a60368af3a79bbd635742583801eb8bf4226aac0c9e478d40c3b180f1d68e946bf0a'
'709ac3e2553a7a035b46622288857d6b2bcf249f3a568400a3d973ead759a65e286f7717b591dee0bef7374f34a61e1600610f8dc526377f666cdf8440e48462')
+_checktag () {
+ local -a line
+ while read -r -a line ; do
+ if [[ ${line[1]} = VALIDSIG && ${line[-1]} = ${validpgpkeys[0]} ]] ; then
+ return 0
+ fi
+ done < <( git verify-tag "${pkgver}" --raw 2>&1 )
+ return 1
+}
+
+prepare () {
+ cd "${pkgname}"
+ if ! git verify-tag "${pkgver}" || ! _checktag ; then
+ exit 42
+ fi
+}
+
build () {
- cd "${srcdir}/${pkgname}-${pkgver//./}"
+ cd "${pkgname}"
echo '/usr/lib/dq' > conf-sbin
echo '/usr/bin' > conf-bin
make
}
package () {
- cd "${srcdir}/${pkgname}-${pkgver//./}"
+ cd "${pkgname}"
make install DESTDIR="${pkgdir}"
+
+ # Manpages are no installed by "make install"
+ install -m 644 -D man/dq.1 \
+ "${pkgdir}/usr/share/man/man1/dq.1"
+ install -m 644 -D man/dqcache-makekey.1 \
+ "${pkgdir}/usr/share/man/man1/dqcache-makekey.1"
+ install -m 644 -D man/dqcache.8 \
+ "${pkgdir}/usr/share/man/man8/dqcache.8"
+
+ install -m 644 -D LICENCE.md \
+ "${pkgdir}/usr/share/licenses/${pkgname}/LICENCE.md"
+
install -m 755 -D "${srcdir}/dqcache.sh" \
"${pkgdir}/usr/bin/dqcache"
install -m 644 -D "${srcdir}/default.conf" \